Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable
Interface IStaleListener

All Superinterfaces:
  IObservablesListener

    public interface IStaleListener

extends IObservablesListener

Listener for staleness events. An observable object is stale if its state will change eventually.

Since:
  1.0

Method Summary
`void` `handleStale(StaleEvent staleEvent)` Handle the event that the given observable object is now stale.

Method Detail

### handleStale

    void handleStale(StaleEvent staleEvent)

  Handle the event that the given observable object is now stale. The given event object must only be used locally in this method because it may be reused for other change notifications.

  Parameters:
    `staleEvent` -

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.